Package de.gebit.integrity.ui.contentassist

## Class DSLProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractCompletionProposalFactory
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
    - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
      - - de.gebit.integrity.ui.contentassist.AbstractDSLProposalProvider
        - - de.gebit.integrity.ui.contentassist.DSLProposalProvider

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory`, `org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider`

      public class DSLProposalProvider
      extends AbstractDSLProposalProvider

  This class is the extension point to implement custom proposal provider, aka "content assist". see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#contentAssist on how to customize content assistant
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static int` | `SUITE_PARAMETER_PRIORITY` | The suite parameter property, relative to the default priority.
    `protected static int` | `SUITE_RESULT_PRIORITY` | The suite result priority, relative to the default priority.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLProposalProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete_NL​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.RuleCall aRuleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeArbitraryParameterOrResultName_Identifier​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeCall_Parameters​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeDocumentationComment_Content​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeKeyValuePair_Identifier​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeMethodReference_Method​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeNamedResult_Value​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeParameter_Value​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeParameterTableHeader_Name​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeParameterTableValue_Value​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeResultTableHeader_Name​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeSuiteParameter_Name​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeSuiteReturn_Name​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeTableTest_ParameterHeaders​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeTableTest_Parameters​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeTableTest_ResultHeaders​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeTableTestRow_Values​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeTest_Parameters​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `void` | `completeTest_Result​(org.eclipse.emf.ecore.EObject aModel, org.eclipse.xtext.Assignment anAssignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)` |
    `protected org.eclipse.xtext.ui.editor.contentassist.ConfigurableCompletionProposal` | `doCreateProposal​(String aProposal, org.eclipse.jface.viewers.StyledString aDisplayString, org.eclipse.swt.graphics.Image anImage, int aPriority, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext)` | Creates a proposal (basically resembles the overridden method, but creates an `IntegrityConfigurableCompletionProposal` instead, which stores the `ContentAssistContext`.
    `protected FixtureTypeWrapper` | `wrapType​(org.eclipse.jdt.core.IType aType)` | Wraps an `IType` in a `FixtureTypeWrapper`.

    - ### Methods inherited from class de.gebit.integrity.ui.contentassist.AbstractDSLProposalProvider

      `complete_ANY_OTHER, complete_ArbitraryParameterOrResultName, complete_BOOLEAN_FALSE, complete_BOOLEAN_TRUE, complete_BooleanValue, complete_Call, complete_CallDefinition, complete_Constant, complete_ConstantDefinition, complete_ConstantEntity, complete_ConstantValue, complete_CustomOperation, complete_DateAndTimeValue, complete_DateValue, complete_DECIMAL, complete_DecimalValue, complete_DIVIDER, complete_DocumentationComment, complete_EmptyValue, complete_EnumValue, complete_EURODATE, complete_EuropeanDateAnd12HrsTimeValue, complete_EuropeanDateAnd24HrsTimeValue, complete_EuropeanDateValue, complete_ExecutionMultiplier, complete_FixedParameterName, complete_FixedResultName, complete_ForkDefinition, complete_ForkParameter, complete_ID, complete_Import, complete_InexistentValue, complete_INTEGER, complete_IntegerValue, complete_ISODATE, complete_IsoDateAndTimeValue, complete_IsoDateValue, complete_ISOTIME, complete_IsoTimeValue, complete_ISOTIMEZONE, complete_JavaClassReference, complete_JavaConstantReference, complete_JavaConstantValue, complete_KeyValuePair, complete_MethodReference, complete_ML_COMMENT, complete_ML_DOC_COMMENT, complete_ML_VISIBLE_COMMENT, complete_ML_VISIBLE_TITLE_COMMENT, complete_Model, complete_MULTIPLIER, complete_NamedCallResult, complete_NamedResult, complete_NestedObject, complete_NEWLINE, complete_NLFORCED, complete_NullValue, complete_Operation, complete_OperationDefinition, complete_PackageDefinition, complete_PackageStatement, complete_Parameter, complete_ParameterName, complete_ParameterTableHeader, complete_ParameterTableValue, complete_QualifiedJavaClassName, complete_QualifiedName, complete_QualifiedNameWithWildcard, complete_REGEX, complete_RegexValue, complete_ResultName, complete_ResultTableHeader, complete_Simple12HrsTimeValue, complete_Simple24HrsTimeValue, complete_SL_COMMENT, complete_SL_VISIBLE_COMMENT, complete_SL_VISIBLE_TITLE_COMMENT, complete_StandardOperation, complete_Statement, complete_StaticValue, complete_STRING, complete_StringValue, complete_Suite, complete_SuiteDefinition, complete_SuiteParameter, complete_SuiteParameterDefinition, complete_SuiteReturn, complete_SuiteReturnDefinition, complete_SuiteStatement, complete_SuiteStatementWithResult, complete_TableTest, complete_TableTestRow, complete_Test, complete_TestDefinition, complete_TimeDifference, complete_TimeProgressionFactor, complete_TimeSet, complete_TIMESPAN, complete_TimeValue, complete_TWELVEHRSTIME, complete_TWENTYFOURHRSTIME, complete_TypedNestedObject, complete_UPPERCASE_ID, complete_USDATE, complete_USDateAnd12HrsTimeValue, complete_USDateValue, complete_Value, complete_ValueOrEnumValueOrOperation, complete_ValueOrEnumValueOrOperationCollection, complete_Variable, complete_VariableAssignment, complete_VariableDefinition, complete_VariableEntity, complete_VariableOrConstantEntity, complete_VariableVariable, complete_VariantDefinition, complete_VariantValue, complete_VisibleComment, complete_VisibleDivider, complete_VisibleMultiLineComment, complete_VisibleMultiLineNormalComment, complete_VisibleMultiLineTitleComment, complete_VisibleSingleLineComment, complete_VisibleSingleLineNormalComment, complete_VisibleSingleLineTitleComment, complete_WS, completeArbitraryParameterOrResultName_StringIdentifier, completeBooleanValue_BooleanValue, completeCall_Definition, completeCall_Multiplier, completeCall_Result, completeCall_Results, completeCallDefinition_Documentation, completeCallDefinition_FixtureMethod, completeCallDefinition_Name, completeConstant_Name, completeConstantDefinition_Documentation, completeConstantDefinition_Name, completeConstantDefinition_Parameterized, completeConstantDefinition_Private, completeConstantDefinition_Value, completeConstantDefinition_VariantValues, completeConstantEntity_Name, completeCustomOperation_Definition, completeCustomOperation_PostfixOperand, completeCustomOperation_PrefixOperand, completeDecimalValue_DecimalValue, completeEnumValue_EnumValue, completeEuropeanDateAnd12HrsTimeValue_DateValue, completeEuropeanDateAnd12HrsTimeValue_TimeValue, completeEuropeanDateAnd24HrsTimeValue_DateValue, completeEuropeanDateAnd24HrsTimeValue_TimeValue, completeEuropeanDateValue_DateValue, completeExecutionMultiplier_Count, completeFixedParameterName_Annotation, completeFixedResultName_Field, completeForkDefinition_BaseFork, completeForkDefinition_Description, completeForkDefinition_Documentation, completeForkDefinition_ForkerClass, completeForkDefinition_Name, completeForkDefinition_Parameters, completeForkDefinition_Private, completeForkParameter_Name, completeForkParameter_Value, completeImport_ImportedNamespace, completeIntegerValue_IntegerValue, completeIsoDateAndTimeValue_DateValue, completeIsoDateAndTimeValue_TimeValue, completeIsoDateValue_DateValue, completeIsoTimeValue_TimeValue, completeJavaClassReference_Type, completeJavaConstantReference_Constant, completeJavaConstantReference_Type, completeJavaConstantValue_Constant, completeKeyValuePair_StringIdentifier, completeKeyValuePair_Value, completeMethodReference_Type, completeModel_Imports, completeModel_Statements, completeNamedCallResult_Name, completeNamedCallResult_Target, completeNamedResult_Name, completeNestedObject_Attributes, completeOperationDefinition_Name, completeOperationDefinition_OperationType, completePackageDefinition_Documentation, completePackageDefinition_Name, completePackageDefinition_Statements, completeParameter_Name, completeRegexValue_RegexValue, completeSimple12HrsTimeValue_TimeValue, completeSimple24HrsTimeValue_TimeValue, completeStandardOperation_FirstOperand, completeStandardOperation_MoreOperands, completeStandardOperation_Operators, completeStringValue_StringValue, completeSuite_Definition, completeSuite_Fork, completeSuite_Inlined, completeSuite_Multiplier, completeSuite_Parameters, completeSuite_Return, completeSuite_Variants, completeSuiteDefinition_Dependencies, completeSuiteDefinition_Documentation, completeSuiteDefinition_Finalizers, completeSuiteDefinition_Inlined, completeSuiteDefinition_Name, completeSuiteDefinition_Parameters, completeSuiteDefinition_Private, completeSuiteDefinition_Return, completeSuiteDefinition_SingleRun, completeSuiteDefinition_Statements, completeSuiteParameter_Value, completeSuiteParameterDefinition_Default, completeSuiteParameterDefinition_Name, completeSuiteReturn_Target, completeSuiteReturnDefinition_Name, completeTableTest_DefaultResultColumn, completeTableTest_Definition, completeTableTest_Rows, completeTest_Checkpoint, completeTest_Definition, completeTest_Results, completeTestDefinition_Documentation, completeTestDefinition_FixtureMethod, completeTestDefinition_Name, completeTimeDifference_CalculatedValue, completeTimeDifference_Direction, completeTimeDifference_FixedValues, completeTimeProgressionFactor_CalculatedValue, completeTimeProgressionFactor_FixedValue, completeTimeSet_DiffTime, completeTimeSet_Forks, completeTimeSet_Live, completeTimeSet_MasterFork, completeTimeSet_ProgressionFactor, completeTimeSet_ProgressionMode, completeTimeSet_StartTime, completeTypedNestedObject_NestedObject, completeTypedNestedObject_Type, completeUSDateAnd12HrsTimeValue_DateValue, completeUSDateAnd12HrsTimeValue_TimeValue, completeUSDateValue_DateValue, completeValueOrEnumValueOrOperationCollection_MoreValues, completeValueOrEnumValueOrOperationCollection_Value, completeVariable_Attribute, completeVariable_Name, completeVariableAssignment_Target, completeVariableAssignment_Value, completeVariableDefinition_InitialValue, completeVariableDefinition_Name, completeVariableDefinition_Private, completeVariableEntity_Name, completeVariableVariable_Name, completeVariantDefinition_Description, completeVariantDefinition_Documentation, completeVariantDefinition_Name, completeVariantValue_Names, completeVariantValue_Value, completeVisibleDivider_Content, completeVisibleMultiLineNormalComment_Content, completeVisibleMultiLineTitleComment_Content, completeVisibleSingleLineNormalComment_Content, completeVisibleSingleLineTitleComment_Content`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `createSelector, getDisplayString, getImage, getImage, getKeywordDisplayString, getLabelProvider, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, setLabelProvider, setValueConverter`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractCompletionProposalFactory

      `createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, doCreateProposal, getConflictHelper, getPriorityHelper, getReplacementContextLength, isValidProposal, setConflictHelper, setPriorityHelper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUITE_RESULT_PRIORITY

          protected static final int SUITE_RESULT_PRIORITY

      The suite result priority, relative to the default priority. Results should be higher prioritized than the default, so they appear on top of the list when autocompleting suite calls.
      See Also:
        Constant Field Values

    - #### SUITE_PARAMETER_PRIORITY

          protected static final int SUITE_PARAMETER_PRIORITY

      The suite parameter property, relative to the default priority. Parameters must be placed before results, so they must be even higher prioritized.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DSLProposalProvider

          public DSLProposalProvider()

  - ### Method Detail

    - #### doCreateProposal

          protected org.eclipse.xtext.ui.editor.contentassist.ConfigurableCompletionProposal doCreateProposal​(String aProposal,
                                                                                                              org.eclipse.jface.viewers.StyledString aDisplayString,
                                                                                                              org.eclipse.swt.graphics.Image anImage,
                                                                                                              int aPriority,
                                                                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext)

      Creates a proposal (basically resembles the overridden method, but creates an `IntegrityConfigurableCompletionProposal` instead, which stores the `ContentAssistContext`.
      Overrides:
        `doCreateProposal` in class `org.eclipse.xtext.ui.editor.contentassist.AbstractCompletionProposalFactory`

    - #### completeTest_Parameters

          public void completeTest_Parameters​(org.eclipse.emf.ecore.EObject aModel,
                                              org.eclipse.xtext.Assignment anAssignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeTest_Parameters` in class `AbstractDSLProposalProvider`

    - #### completeCall_Parameters

          public void completeCall_Parameters​(org.eclipse.emf.ecore.EObject aModel,
                                              org.eclipse.xtext.Assignment anAssignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeCall_Parameters` in class `AbstractDSLProposalProvider`

    - #### complete_NL

          public void complete_NL​(org.eclipse.emf.ecore.EObject aModel,
                                  org.eclipse.xtext.RuleCall aRuleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `complete_NL` in class `AbstractDSLProposalProvider`

    - #### completeTableTest_Parameters

          public void completeTableTest_Parameters​(org.eclipse.emf.ecore.EObject aModel,
                                                   org.eclipse.xtext.Assignment anAssignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeTableTest_Parameters` in class `AbstractDSLProposalProvider`

    - #### completeTableTest_ParameterHeaders

          public void completeTableTest_ParameterHeaders​(org.eclipse.emf.ecore.EObject aModel,
                                                         org.eclipse.xtext.Assignment anAssignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeTableTest_ParameterHeaders` in class `AbstractDSLProposalProvider`

    - #### completeParameterTableHeader_Name

          public void completeParameterTableHeader_Name​(org.eclipse.emf.ecore.EObject aModel,
                                                        org.eclipse.xtext.Assignment anAssignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeParameterTableHeader_Name` in class `AbstractDSLProposalProvider`

    - #### completeResultTableHeader_Name

          public void completeResultTableHeader_Name​(org.eclipse.emf.ecore.EObject aModel,
                                                     org.eclipse.xtext.Assignment anAssignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeResultTableHeader_Name` in class `AbstractDSLProposalProvider`

    - #### completeTableTest_ResultHeaders

          public void completeTableTest_ResultHeaders​(org.eclipse.emf.ecore.EObject aModel,
                                                      org.eclipse.xtext.Assignment anAssignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeTableTest_ResultHeaders` in class `AbstractDSLProposalProvider`

    - #### completeArbitraryParameterOrResultName_Identifier

          public void completeArbitraryParameterOrResultName_Identifier​(org.eclipse.emf.ecore.EObject aModel,
                                                                        org.eclipse.xtext.Assignment anAssignment,
                                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeArbitraryParameterOrResultName_Identifier` in class `AbstractDSLProposalProvider`

    - #### completeKeyValuePair_Identifier

          public void completeKeyValuePair_Identifier​(org.eclipse.emf.ecore.EObject aModel,
                                                      org.eclipse.xtext.Assignment anAssignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeKeyValuePair_Identifier` in class `AbstractDSLProposalProvider`

    - #### completeTest_Result

          public void completeTest_Result​(org.eclipse.emf.ecore.EObject aModel,
                                          org.eclipse.xtext.Assignment anAssignment,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeTest_Result` in class `AbstractDSLProposalProvider`

    - #### completeNamedResult_Value

          public void completeNamedResult_Value​(org.eclipse.emf.ecore.EObject aModel,
                                                org.eclipse.xtext.Assignment anAssignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeNamedResult_Value` in class `AbstractDSLProposalProvider`

    - #### completeParameter_Value

          public void completeParameter_Value​(org.eclipse.emf.ecore.EObject aModel,
                                              org.eclipse.xtext.Assignment anAssignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeParameter_Value` in class `AbstractDSLProposalProvider`

    - #### completeTableTestRow_Values

          public void completeTableTestRow_Values​(org.eclipse.emf.ecore.EObject aModel,
                                                  org.eclipse.xtext.Assignment anAssignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeTableTestRow_Values` in class `AbstractDSLProposalProvider`

    - #### completeParameterTableValue_Value

          public void completeParameterTableValue_Value​(org.eclipse.emf.ecore.EObject aModel,
                                                        org.eclipse.xtext.Assignment anAssignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeParameterTableValue_Value` in class `AbstractDSLProposalProvider`

    - #### completeSuiteParameter_Name

          public void completeSuiteParameter_Name​(org.eclipse.emf.ecore.EObject aModel,
                                                  org.eclipse.xtext.Assignment anAssignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeSuiteParameter_Name` in class `AbstractDSLProposalProvider`

    - #### completeSuiteReturn_Name

          public void completeSuiteReturn_Name​(org.eclipse.emf.ecore.EObject aModel,
                                               org.eclipse.xtext.Assignment anAssignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeSuiteReturn_Name` in class `AbstractDSLProposalProvider`

    - #### completeMethodReference_Method

          public void completeMethodReference_Method​(org.eclipse.emf.ecore.EObject aModel,
                                                     org.eclipse.xtext.Assignment anAssignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeMethodReference_Method` in class `AbstractDSLProposalProvider`

    - #### completeDocumentationComment_Content

          public void completeDocumentationComment_Content​(org.eclipse.emf.ecore.EObject aModel,
                                                           org.eclipse.xtext.Assignment anAssignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext aContext,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor anAcceptor)

      Overrides:
        `completeDocumentationComment_Content` in class `AbstractDSLProposalProvider`

    - #### wrapType

          protected FixtureTypeWrapper wrapType​(org.eclipse.jdt.core.IType aType)

      Wraps an `IType` in a `FixtureTypeWrapper`.
      Parameters:
        `aType` - the type to wrap
      Returns:
        the resulting wrapper instance